Bug 840690 - [abrt] lxappearance-0.5.2-1.fc17: __GI_raise: Process /usr/bin/lxappearance was killed by signal 6 (SIGABRT)
[abrt] lxappearance-0.5.2-1.fc17: __GI_raise: Process /usr/bin/lxappearance w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxappearance (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:702b84421373699623bfe9a4fdc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 19:12 EDT by balustre
Modified: 2013-07-31 18:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.19 KB, text/plain)
2012-07-16 19:12 EDT, balustre
no flags Details
File: maps (33.18 KB, text/plain)
2012-07-16 19:12 EDT, balustre
no flags Details
File: dso_list (6.92 KB, text/plain)
2012-07-16 19:12 EDT, balustre
no flags Details

  None (edit)
Description balustre 2012-07-16 19:12:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        lxappearance
crash_function: __GI_raise
executable:     /usr/bin/lxappearance
kernel:         3.4.4-5.fc17.x86_64
pid:            1260
pwd:            /home/ordiclap
time:           mar. 17 juil. 2012 00:22:13 CEST
uid:            1000
username:       ordiclap

backtrace:      Text file, 23747 bytes
dso_list:       Text file, 7082 bytes
maps:           Text file, 33977 bytes

build_ids:
:19b01df336b2338b40162df2626dce1d6481721b
:faca16f15d87b83d2947a386e319b02f724dcbb5
:8c1105fdca80308f44d545b954a7dcd518f98db5
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f4d479614b09460085428bbe7d53df454d0d39e5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:8f7b4d6203ecae019c934a40938e7b468491e956
:ec87953f655fbcbcbe71b591db5451e56739576e
:59bcb81f1634bfbbfb3362f4440412a427fbf52c
:e91010b497ec024178c36f4365b21f668bada0ca
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:31243d0d107bba586a96433c76c87a26db1e826c
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:42675a8ad8f70ff19362070510cdf1ba202a70db
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:18d54feb2fac414c052609b2465432d776e3b568
:822e9b3523e8312240f41a25722d539bc77ed436
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:76f0ca2cc5c8796e9d6efbe21d74250166974af9
:ee6ae7b081f41e8f781e4aaadf2aeb12f84e4fce
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:99c23b21038c62b0628b93610fb54c5900c40ffd
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:6e3dbb942f7e173d65ea958bd449f6727b220abb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1d4df97fa6024b097b634a272447243c95c26d85
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e
:d8d393649ae4da146ebc8812db58514f245f08a9

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ordiclap/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7b616 malloc_printerr libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d3cf g_free libglib-2.0.so.0 -
:18d54feb2fac414c052609b2465432d776e3b568 0x7b88 install_icon_theme [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x91065 - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x8fb43 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:18d54feb2fac414c052609b2465432d776e3b568 0x4e3a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/ordiclap/.cache/keyring-xiWYDe
:SYSFONT=latarcyrheb-sun16
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ordiclap
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ordiclap/.local/bin:/home/ordiclap/bin
:MAIL=/var/spool/mail/ordiclap
:QT_IM_MODULE=xim
:PWD=/home/ordiclap
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=857
:LANG=fr_FR.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KEYTABLE=fr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/ordiclap
:SHLVL=1
:XDG_CONFIG_HOME=/home/ordiclap/.config
:BOOT_IMAGE=/vmlinuz-3.4.4-5.fc17.x86_64
:LOGNAME=ordiclap
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-RKSSDfcBdu,guid=b2c750ae334911edadaf93ec0000006d
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/ordiclap
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/home/ordiclap/.Xauthority
:_LXSESSION_PID=924
:XDG_CURRENT_DESKTOP=LXDE

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13829                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13829                13829                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/var/log/lxdm.log
:pos:	1743
:flags:	0102001
:2:/home/ordiclap/.xsession-errors
:pos:	36387
:flags:	0100001
:3:socket:[28365]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[24243]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[24364]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/home/ordiclap/.icons/tmp.53Y29H
:pos:	9223372036854775807
:flags:	02304000

smolt_data:
:
:
:Général
:=================================
:UUID: dc210da0-d112-4f0c-b95f-7b2db24240a5
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.UTF-8
:Plateforme: x86_64
:BogoMIPS: 6026.81
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD Athlon(tm) II X2 250 Processor
:Stepping du processeur: 3
:Famille de processeur: 16
:Modèle du processeur: 6
:Nombre de processeurs: 2
:Vitesse du processeur: 3000
:Mémoire du système: 1749
:Swap du système: 3519
:Fabricant: System manufacturer
:Système: System Product Name System Version
:Type d'ordinateur: Desktop
:Noyau: 3.4.4-5.fc17.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4130:38406:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(38672:39013:40960:8192) pci, parport_pc, SIMPLE, PCI 9865 Multi-I/O Controller
:(4098:17296:4163:33673) pci, ahci, STORAGE, M4A785TD Motherboard
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:38677:4163:33854) pci, radeon, VIDEO, M5A88-V EVO
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4163:38402:4163:33854) pci, None, PCI/PCI, RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, None, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33644) pci, snd_hda_intel, MULTIMEDIA, M4A785TD Motherboard
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(38672:39013:40960:4096) pci, serial, 16550_SERIAL, PCI 9865 Multi-I/O Controller
:(38672:39013:40960:4096) pci, serial, 16550_SERIAL, PCI 9865 Multi-I/O Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:4163:33854) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 6391195 5202008 5138019 1605632 1465684 1465684
:/dev/sda1 /boot ext4 1024 1024 508644 423230 397630 128016 127658 127658
:/dev/sda5 /home ext4 4096 4096 53551651 50654155 47973157 13410304 13401286 13401286
:/dev/sdc1 WITHHELD ext3 4096 4096 120161332 10299761 9078801 61063168 61043317 61043317
:

var_log_messages:
:Jul 16 07:46:37 localhost yum[1259]: Updated: lxappearance-0.5.2-1.fc17.x86_64
:Jul 17 00:22:14 localhost abrt[1267]: Saved core dump of pid 1260 (/usr/bin/lxappearance) to /var/spool/abrt/ccpp-2012-07-17-00:22:13-1260 (23072768 bytes)

xsession_errors:
:(lxappearance:1260): GLib-GObject-WARNING **: invalid cast from `GtkComboBox' to `GtkBox'
:(lxappearance:1260): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_BOX (box)' failed
:*** glibc detected *** lxappearance: munmap_chunk(): invalid pointer: 0x0000000000aca69b ***
:lxappearance(install_icon_theme+0x2f8)[0x407b88]
:lxappearance(main+0x50a)[0x404e3a]
:lxappearance[0x404eed]
:00400000-0040a000 r-xp 00000000 08:03 12209                              /usr/bin/lxappearance
:00609000-0060a000 r--p 00009000 08:03 12209                              /usr/bin/lxappearance
:0060a000-0060f000 rw-p 0000a000 08:03 12209                              /usr/bin/lxappearance
:7faac4165000-7faac416f000 r-xp 00000000 08:03 42818                      /usr/lib64/lxappearance/plugins/obconf.so
:7faac416f000-7faac436e000 ---p 0000a000 08:03 42818                      /usr/lib64/lxappearance/plugins/obconf.so
:7faac436e000-7faac436f000 r--p 00009000 08:03 42818                      /usr/lib64/lxappearance/plugins/obconf.so
:7faac436f000-7faac4370000 rw-p 0000a000 08:03 42818                      /usr/lib64/lxappearance/plugins/obconf.so
:7faacad2e000-7faacad2f000 r--p 00000000 08:03 42833                      /usr/share/locale/fr/LC_MESSAGES/lxappearance-obconf.mo
:7faacad3d000-7faacad3f000 r--p 00000000 08:03 42798                      /usr/share/locale/fr/LC_MESSAGES/lxappearance.mo
:(lxappearance:1297): GLib-GObject-WARNING **: invalid cast from `GtkComboBox' to `GtkBox'
:(lxappearance:1297): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_BOX (box)' failed
:(lxappearance:1447): GLib-GObject-WARNING **: invalid cast from `GtkComboBox' to `GtkBox'
:(lxappearance:1447): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_BOX (box)' failed
:(lxappearance:2399): GLib-GObject-WARNING **: invalid cast from `GtkComboBox' to `GtkBox'
:(lxappearance:2399): Gtk-CRITICAL **: gtk_box_pack: assertion `GTK_IS_BOX (box)' failed
Comment 1 balustre 2012-07-16 19:12:10 EDT
Created attachment 598532 [details]
File: backtrace
Comment 2 balustre 2012-07-16 19:12:16 EDT
Created attachment 598533 [details]
File: maps
Comment 3 balustre 2012-07-16 19:12:19 EDT
Created attachment 598534 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 17:30:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 18:39:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.